<!DOCTYPE html>
<html lang="en">
    <head>
        {% block head %}
            <meta charset="utf-8"/>
            <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
            <title>
                {% block title %}
                    {{ g.site.short_name }}
                    -
                    {{ g.site.name }}
                {% endblock %}
            </title>
            <script
                src="https://code.jquery.com/jquery-3.5.1.min.js"
                integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0="
                crossorigin="anonymous"></script>
            <script src="{{ url_for('static', filename='js/main.js') }}"></script>
            <link
                href="https://fonts.googleapis.com/css?family=Lato:400,700&display=optional"
                rel="stylesheet"/>
            <link href="{{ url_for('static', filename='css/lookup.min.css') }}" rel="stylesheet"/>
            <link
                rel="stylesheet"
                href="https://use.fontawesome.com/releases/v5.12.0/css/all.css"
                integrity="sha384-REHJTs1r2ErKBuJB0fCK99gCYsVjwxHrSU0N7I1zl9vZbggVJXRMsv/sLlOAGb4M"
                crossorigin="anonymous"/>
            <link
                rel="shortcut icon"
                href="{{ url_for('static', filename='img/favicon.png') }}"
                type="image/png"/>
            <link href="{{ url_for('static', filename='css/main.css') }}" rel="stylesheet"/>
        {% endblock %}
    </head>
    <body class="bg-light">
        {% block header %}
            <header>
                <nav class="navbar navbar-expand-md navbar-dark fixed-top navbar-black">
                    <a class="navbar-brand" href="{{ url_for('web.index') }}">
                        <img
                            src="{{ url_for('static', filename='img/logo-night.svg') }}"
                            height="30"
                            class="d-inline-block align-top"/>
                        <strong>{{ g.site.logo_text[0] }}</strong>{{ g.site.logo_text[1] }}
                    </a>
                    <button
                        class="navbar-toggler"
                        type="button"
                        data-toggle="collapse"
                        data-target="#navbar-content"
                        aria-controls="navbar-content"
                        aria-expanded="false"
                        aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbar-content">
                        <ul class="navbar-nav mr-auto">
                            <li class="nav-item">
                                <a class="nav-link" href="{{ url_for('web.people') }}" title="People">People</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{{ url_for('web.tags') }}" title="Tags">Tags</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{{ url_for('web.rooms') }}" title="Rooms">Rooms</a>
                            </li>
                        </ul>
                        {% if get_current_user() %}
                            <ul class="navbar-nav">
                                <li
                                    class="nav-item"
                                    {% if user_info %}
                                    id="user-info"
                                    data-user-info="{{ user_info|tojson|forceescape }}"
                                    {% endif %}>
                                    <a
                                        class="nav-link"
                                        href="{{ url_for('web.person', crsid=get_current_user()) }}"
                                        title="My profile page">Profile ({{ get_current_user() }})</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ url_for('web.logout') }}" title="Logout current user">Logout</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ url_for('web.settings') }}" title="Settings">
                                        <span class="fas fa-cog"></span></a>
                                </li>
                                <li class="nav-item">
                                    <label for="select-scope" class="sr-only">
                                        Institutional scope
                                    </label>
                                    <select
                                        id="select-scope"
                                        class="custom-select bg-transparent border-0 pt-2
                                            {% if not request.cookies.scope or request.cookies.scope == 'local' %}
                                            text-secondary
                                            {% else %}
                                            text-light font-weight-bold
                                            {% endif %}"
                                        title="Select an institutional scope for browsing.">
                                        <option disabled="disabled" {% if not request.cookies.scope %} selected="selected" {% endif %}>Scope</option>
                                        <option
                                            value="local"
                                            {% if request.cookies.scope == "local" %}
                                            selected="selected"
                                            {% endif %}
                                            title="Show results for the institution being browsed.">Local</option>
                                        <option
                                            value="all"
                                            {% if request.cookies.scope == "all" %}
                                            selected="selected"
                                            {% endif %}
                                            title="Show results for all institutions.">All</option>
                                        {% if request.cookies.scope and request.cookies.scope not in["all", "local"] %}
                                            <option value="{{ request.cookies.scope }}" selected="selected">{{ request.cookies.scope }}</option>
                                        {% endif %}
                                    </select>
                                </li>
                            </ul>
                            <form
                                class="form-inline navbar-nav nav-item"
                                id="quick-search-form"
                                action="{{ url_for('web.people') }}">
                                <div class="form-group dropdown">
                                    <input
                                        class="form-control"
                                        title="quick-search"
                                        placeholder="Quick Search"
                                        type="text"
                                        name="query"
                                        id="quick-search"
                                        data-toggle="dropdown"/>
                                    <input type="hidden" name="fuzzy" value="true"/>
                                    <div id="quick-search-output"></div>
                                </div>
                            </form>
                        {% else %}
                            <ul class="navbar-nav">
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ url_for('web.login') }}">Login</a>
                                </li>
                            </ul>
                            <div class="form-inline">
                                <div class="form-control text-center">
                                    <a class="text-dark" href="{{ url_for('web.login') }}">Login to search</a>
                                </div>
                            </div>
                        {% endif %}
                    </div>
                </nav>
            </header>
        {% endblock %}
        <main role="main" class="container mt-5 pt-5 mb-5 pb-5">
            {% block content %}
                <p>No content</p>
            {% endblock content %}
        </main>
        {% block footer %}
            <footer class="footer d-none d-sm-inline">
                <nav class="navbar navbar-expand-md navbar-dark navbar-black fixed-bottom">
                    <a class="navbar-brand" href="https://itservices.phy.cam.ac.uk/" target="_blank">
                        <img
                            src="{{ url_for('static', filename='img/it-services-negative.png') }}"
                            height="50"
                            style="margin:-0.5rem"/>
                    </a>
                    <ul class="navbar-nav mr-auto">
                        <li class="nav-item">
                            <span class="nav-link text-secondary">
                                Contact:
                                <code>
                                    <a href="mailto:{{ g.site.support_email }}?subject=[lookup] query" class="text-light">{{ g.site.support_email }}</a>
                                </code>
                            </span>
                        </li>
                    </ul>
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link" href="{{ url_for('web.privacy') }}">Privacy</a>
                        </li>
                    </ul>
                </nav>
            </footer>
        {% endblock %}
        {% block bootstrap %}
            <script
                src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
                integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
                crossorigin="anonymous"></script>
            <script
                src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"
                integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI"
                crossorigin="anonymous"></script>
            <script
                src="https://cdnjs.cloudflare.com/ajax/libs/markdown-it/10.0.0/markdown-it.js"
                integrity="sha256-uhsZv/1rhiqa0K9vDMZzGa5ZEFVECUsJ1yQ7qtShRlc="
                crossorigin="anonymous"></script>
        {% endblock %}
    </body>
</html>